package com.zulutrade.sample.binaryoptions.trading.client.trading.dto.rest.response;

import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.TradingError;

/**
 * TradingResponse interface, all the rest responses should implement this
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
 */
public interface TradingResponse {

	boolean isSuccess(); 
	
	TradingError getError(); 
	
	Object getResult(); 
	
}
